Positionable
Keywords: uk.ac.ic.doc.automed.editor.Positionable interface

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## uk.ac.ic.doc.automed.editor
Interface Positionable

All Known Implementing Classes:
  Network, Schema, SchemaObject

    public interface Positionable

Provide an interface that the `Gui` and `EditorPanel` will use for any repository object that it is expected to render by a `DrawVertex` implementation.

Author:
  Michael Boyd (mboyd@doc.ic.ac.uk), Peter McBrien (pjm@doc.ic.ac.uk)

Method Summary
`java.awt.Point` | `getAbsolutePosition()` Return the absolute coordinate of this .
`java.awt.Color` | `getBackgroundColor()`
`java.awt.Color` | `getForegroundColor()`
`java.lang.String` | `getLabel()`
`java.awt.Point` | `getLabelPosition()`
`int` | `getLabelXPos()`
`int` | `getLabelYPos()`
`java.awt.Point` | `getPosition()` Return the `Point` that represents the position of this `Positionable` in a `Panel`.
`Positionable` | `getPositionedRelativeTo()` Return the `Positionable` this is relative to.
`java.lang.Object` | `getRepObject()`
`java.awt.Color` | `getTextColor()`
`int` | `getXPos()`
`int` | `getYPos()`
`void` | `setAbsolutePosition(int x, int y)`
`void` | `setBackgroundColor(java.awt.Color c)`
`void` | `setForegroundColor(java.awt.Color c)`
`void` | `setLabel(java.lang.String label)`
`void` | `setLabelPosition(int x, int y)`
`void` | `setLabelXPos(int x)`
`void` | `setLabelYPos(int y)`
`void` | `setPosition(int x, int y)`
`void` | `setTextColor(java.awt.Color c)`
`void` | `setXPos(int x)`
`void` | `setYPos(int y)`

Method Detail

### getXPos

    int getXPos()

### getYPos

    int getYPos()

### setXPos

    void setXPos(int x)

### setYPos

    void setYPos(int y)

### setPosition

    void setPosition(int x,
                     int y)

### setAbsolutePosition

    void setAbsolutePosition(int x,
                             int y)

### getPosition

    java.awt.Point getPosition()

  Return the `Point` that represents the position of this `Positionable` in a `Panel`. Note that depending on the implementation of the interface, this might a coordinate relative to some other positionable

### getAbsolutePosition

    java.awt.Point getAbsolutePosition()

  Return the absolute coordinate of this .

### getPositionedRelativeTo

    Positionable getPositionedRelativeTo()

  Return the `Positionable` this is relative to. If not relative to some other `Positionable` then return null.

### getLabelXPos

    int getLabelXPos()

### getLabelYPos

    int getLabelYPos()

### setLabelXPos

    void setLabelXPos(int x)

### setLabelYPos

    void setLabelYPos(int y)

### getLabelPosition

    java.awt.Point getLabelPosition()

### setLabelPosition

    void setLabelPosition(int x,
                          int y)

### getLabel

    java.lang.String getLabel()

### setLabel

    void setLabel(java.lang.String label)

### getForegroundColor

    java.awt.Color getForegroundColor()

### setForegroundColor

    void setForegroundColor(java.awt.Color c)

### getBackgroundColor

    java.awt.Color getBackgroundColor()

### setBackgroundColor

    void setBackgroundColor(java.awt.Color c)

### getTextColor

    java.awt.Color getTextColor()

### setTextColor

    void setTextColor(java.awt.Color c)

### getRepObject

    java.lang.Object getRepObject()

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD